/ api / name / read_property
READ_PROPERTY
Syntax

    #define READ_PROPERTY () ...

Returns if the property implementation function is called :

- To read the property, then `TRUE` is returned.
- Or to write the property, then `FALSE` is returned.

### Examples

    /* This is the implementation of the Visible property of a control */

    BEGIN_PROPERTY(CWIDGET_visible)

      if (READ_PROPERTY)
        GB.ReturnBoolean(!QWIDGET(_object)->isHidden());
      else
      {
        if (VPROP(GB_BOOLEAN))
          QWIDGET(_object)->show();
        else
          QWIDGET(_object)->hide();
      }

    END_PROPERTY

### See also

Property Implementation